> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# simulate repay card account

> Simulate repay card account



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /cardaccounts/simulate-repay
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cardaccounts/simulate-repay:
    post:
      tags:
        - Card Accounts
      summary: simulate repay card account
      description: Simulate repay card account
      operationId: simulateRepayCardAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - cardAccountIds
              properties:
                cardAccountIds:
                  type: array
                  items:
                    type: string
                    example: 6e519e8e-15ac-483e-b6ac-d0f42aee36b2
      responses:
        '200':
          description: Successful repayment simulation
          content:
            application/json:
              schema:
                type: object
                properties:
                  repayments:
                    type: array
                    items:
                      type: object
                      properties:
                        cardAccountId:
                          type: string
                        currency:
                          type: string
                        repayAmount:
                          type: number
                          description: >-
                            repayment amount is zero if no outstanding needed to
                            repay
                        error:
                          type: string
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````